=== debian/changelog ===
scid (1:4.3.0.cvs20120311-1ubuntu3) trusty; urgency=low

  * Added .desktop file (LP: #1277520)

 -- Florian Diesch <diesch@spamfence.net>  Fri, 28 Mar 2014 14:48:48 +0100

scid (1:4.3.0.cvs20120311-1ubuntu2) trusty; urgency=low

  * Rebuild for libsnack soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2013 11:10:03 +0100

scid (1:4.3.0.cvs20120311-1ubuntu1) raring; urgency=low

  * Made build infrastructure multi-arch-T{cl,k}-aware, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 16 Apr 2013 17:33:00 -0400

scid (1:4.3.0.cvs20120311-1) unstable; urgency=low

  * New Upstream Version.
  * Updated to standards version 3.9.3
  * scid now recommends tdom and tcllib, which is necessary for the built-in
    xfcc support. Thanks to Ian Zimmerman for giving this hint. 
    (Closes: #656699) 
  * Scid filter mode: "AND" is now working again. Thanks to Ian Zimmerman for
    the Report, and to Fulvio solving the bug upstream. (Closes: #661836) 

 -- Oliver Korff <ok@xynyx.de>  Sun, 11 Mar 2012 22:53:54 +0100
