## scid 4.5.1.cvs20140429

=== debian/changelog ===
scid (1:4.5.1.cvs20140429-2ubuntu1) vivid; urgency=medium

  * debian/patches/01_Makefile.conf.diff: Move -lpthread to after files that
    need it to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 01:53:16 -0500

scid (1:4.5.1.cvs20140429-2) unstable; urgency=medium

  * linking with pthread, bug was reproduced with cowbuilder build.
    unclear, why the bug didn't show up before. 
    Added: LDFLAGS:=$(LDFLAGS) -lpthread to 01_Makefile.conf.diff 
    (Closes: #759863)

 -- Oliver Korff <ok@xynyx.de>  Fri, 05 Sep 2014 16:39:44 +0200

scid (1:4.5.1.cvs20140429-1) unstable; urgency=low

  * New Upstream Version. (Closes: #704743)
  * The buildsystem changed, so a new 01_Makefile.conf.diff had to be added.
  * Included hardening compile options to 01_Makefile.conf.diff
  * Switch to compat level 9, added dependency to debhelper >=9 
  * 22_multiarch-tcltk.diff removed, configure now finds the paths 
  * Patches had to be recreated, removed some old patchfiles 
  * Updated to standards version 3.9.5
  * Added the .desktop file from ubuntu, thanks to Marc Deslauriers for the 
    patch. This solves two bugs: (Closes: #738024) (Closes: #729905)

 -- Oliver Korff <ok@xynyx.de>  Tue, 29 Apr 2014 17:04:26 +0200

scid (1:4.3.0.cvs20120311-2) unstable; urgency=low

  * Fixed FTBFS after multiarchifying Tcl/Tk. Like Sergei Golovan suggested.
    (Closes: #725084) Thanks for the patch. 

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Apr 2014 22:17:46 +0200
