=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Oliver Korff <ok@xynyx.de>
 Homepage: http://scid.sf.net
-Build-Depends: debhelper (>= 7.0.50~), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.5
 
 Package: scid
 Architecture: any
