=== debian/rules ===
--- 
+++ 
@@ -10,20 +10,18 @@
 # export DH_VERBOSE=1
 
 # DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-# DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”
+DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=” -Wl,–as-needed”
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --sourcedirectory=src 
+	dh $@ --sourcedirectory=src  
 
 override_dh_auto_configure:
 	sed s/x86_64-linux-gnu/$(DEB_HOST_MULTIARCH)/ configure > configure.sed
 	chmod 755 configure.sed
 	./configure.sed BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
-                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB="" \
-		TCL_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltcl8.5" \
-		TK_LIBRARY="-L/usr/lib/$(DEB_HOST_MULTIARCH) -ltk8.5"
+                SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" TB=""
 
 override_dh_auto_install:
 	$(MAKE) install_scid
@@ -40,10 +38,5 @@
 	rm -f configure.sed
 
 override_dh_auto_build:
-	$(MAKE) all_scid
+	dh_auto_build --sourcedirectory=src  -- all_scid
 
-# override_dh_auto_test:
-# 	$(TESTCMD)
-
-# override_dh_installman:
-# 	dh_installman debian/stockfish.6
