## scid 4.6.4%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: scid
 Section: games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Oliver Korff <ok@xynyx.de>
+Maintainer: Jose G. López <josgalo@gmail.com>
+Build-Depends: debhelper (>= 9), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 3.9.8
 Homepage: http://scid.sf.net
-Build-Depends: debhelper (>= 9), tcl8.5-dev, tk8.5-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.5
+Vcs-Git: https://gitlab.com/deb-pkg/scid.git
+Vcs-Browser: https://gitlab.com/deb-pkg/scid
 
 Package: scid
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl8.5, tk8.5, zlib1g
+Depends: ${misc:Depends}, ${shlibs:Depends}, scid-data (= ${source:Version}), python, tcl, tk, zlib1g
 Recommends: libsnack2, texlive-games, tdom, libtk-img, tcllib
 Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
 Description: chess database with play and training functionality
@@ -24,10 +25,7 @@
 
 Package: scid-data
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: scid (<=1:4.3.0.cvs20110714-2)
-Replaces: scid (<=1:4.3.0.cvs20110714-2)
-Recommends: scid (>=1:4.3.0.cvs20111216-1)
+Depends: ${misc:Depends}, tclsh
 Description: data files for scid, the chess database application
  Shane's Chess Information Database is a chess database application with
  a graphical user interface. You can browse databases of chess games,
