=== debian/changelog ===
scid (1:4.6.4+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    - 02_uninitialized-memory-access.patch: Add to avoid uninitialized
      memory access. (Closes: #918696)
      Thanks to Bernhard Übelacker and Fulvio Benini.
  * debian/rules:
    - Remove unnecessary dh argument.
  * debian/copyright:
    - Use https and update copyright year.
  * debian/control:
    - Upgrade to debhelper compat 12.
    - Use priority 'optional'.
    - Bump to Standards-Version 4.3.0 and set Vcs* fields to Salsa.
  * debian/changelog:
    - Remove trailing whitespaces.
  * Remove menu as menu system is deprecated (Policy >= 3.9.8)

 -- Jose G. López <josgalo@gmail.com>  Fri, 18 Jan 2019 18:53:53 +0100

scid (1:4.6.4+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    - Pass OPTIMIZE variable without '-march=native' value
      to avoid build failures.
  * debian/patches:
    - 01_narrowing_conversion.diff: Add to fix narrowing conversion
      warning/error in GCC.

 -- Jose G. López <josgalo@gmail.com>  Mon, 29 Aug 2016 16:08:02 +0200

scid (1:4.6.4+dfsg1-1) unstable; urgency=medium

  * New upstream version. (Closes: #802196)
  * Set myself as Maintainer (Closes: #835312)
  * UCI engine settings works and doesn't show
    errors. (Closes: #801607)
  * Game list can be resized and changes total width of the
    window (Closes: #692300)
  * debian/control:
    - Bump to Standards-Version 3.9.8. No changes required.
    - Add Vcs-* fields to show where development is done.
    - Use tcl and tk default version provided by Debian.
    - Add tclsh to Depends on scid-data package.
  * debian/copyright:
    - Migrate to Machine-readable format.
  * debian/rules:
    - Link with '--as-needed' to fix FTBFS. (Closes: #772432)
      Thanks to Logan Rosen for patch.
    - Add hardening flags.
    - Add -parallel option to debhelper.
    - Fix executable permissions on some files.
  * debian/patches:
    - 01_tcl_syntax.diff: Add to fix syntax for Tcl/Tk script.
    - 01_datafolder.diff: Add to use a data dir variable.
    - 01_soundfolder.diff: Change to use share dir variable.
    - 01_Makefile.conf.diff: Change to use hardening/linking flags.
    - 01_configure_tclsh.diff: Remove, tcl default version provides tclsh.
    - 01_spellcorrection.diff: Remove, source file deleted by upstream.
  * debian/scid.dirs: Remove scidlet dir, it is not used anymore.
  * debian/scid.install: Remove copying to scidlet dir.
  * debian/scid-data.dirs: Add tcl dir as upstream installs it by default
  * debian/scid-data.install: Copy files to tcl dir.
  * debian/watch:
    - Upgrade to version 4 and handle repackage upstream source
      to make it DFSG compliant (hence the version change).

 -- Jose G. López <josgalo@gmail.com>  Fri, 26 Aug 2016 20:36:21 +0200
