=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: scid
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Jose G. López <josgalo@gmail.com>
-Build-Depends: debhelper (>= 9), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0)
+Standards-Version: 4.3.0
 Homepage: http://scid.sf.net
-Vcs-Git: https://gitlab.com/deb-pkg/scid.git
-Vcs-Browser: https://gitlab.com/deb-pkg/scid
+Vcs-Git: https://salsa.debian.org/josgalo-guest/scid.git
+Vcs-Browser: https://salsa.debian.org/josgalo-guest/scid
 
 Package: scid
 Architecture: any
@@ -15,10 +15,10 @@
 Suggests: toga2, phalanx (>=22+d051004-9), glaurung, stockfish, crafty, scid-spell-data | scid-rating-data
 Description: chess database with play and training functionality
  Shane's Chess Information Database is a chess database application with
- a graphical user interface. You can browse databases of chess games, 
- edit them and search for games by various criteria. Scid uses its 
+ a graphical user interface. You can browse databases of chess games,
+ edit them and search for games by various criteria. Scid uses its
  own compact and fast database format, but can convert to and from PGN.
- Its also possible to play live on the internet and practice tactical 
+ Its also possible to play live on the internet and practice tactical
  knowledge.
  .
  This package contains the main program.
@@ -34,4 +34,4 @@
  Its also possible to play live on the internet and practice tactical
  knowledge.
  .
- This package contains scids data files.
+ This package contains scid data files.
