=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
		SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" \
		OPTIMIZE="-O3 -fno-rtti -fno-exceptions" TB=""

override_dh_auto_install:
	$(MAKE) install_scid
	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
	chmod -R -x $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/start.tcl
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/options.tcl
	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/contrib/ezsmtp/install.tcl
#	mv -f $(CURDIR)/debian/scid/usr/share/scid/data/ \
#		$(CURDIR)/debian/scid-data/usr/share/scid/

override_dh_install:
	dh_install -Xlicense.txt

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f config.sub config.guess Makefile a.out
	dh_clean

override_dh_auto_build:
	dh_auto_build -- all_scid
