=== debian/changelog ===
scid (1:4.7.0+dfsg1-2) unstable; urgency=medium

  * Use dh_python3 to calculate Python 3 dependencies
    as Python 2 will be removed from Debian. (Closes: #938443)
  * debian/control:
    - Build-depend on python3.
    - Upgrade to debhelper compat 13.
    - Bump to Standards-Version 4.5.1. No changes required.
  * debian/patches:
    - 03_pngfix-python3.patch. Import patch to make pgnfix work
      with Python 3.
  * debian/rules:
    - Add python3 to dh's --with option.
  * Rename TODO.debian to be included when installing.

 -- Jose G. López <josgalo@jglopez.name>  Fri, 11 Dec 2020 18:27:27 +0100

scid (1:4.7.0+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #966792.

 -- Matthias Klose <doko@debian.org>  Sat, 08 Aug 2020 22:28:10 +0200

scid (1:4.7.0+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Bump to Standards-Version 4.4.0. No changes required.
    - Change maintainer's e-mail.
    - Mark scid-data as Multi-Arch: foreign.
  * debian/copyright:
    - Update upstream copyright year and my e-mail.
  * debian/patches:
    - 02_uninitialized-memory-access.patch: Refresh patch as some fixes
      are applied upstream.
    - 01_narrowing_conversion.diff, 01_soundfolder.diff: Remove patches
      applied upstream.
    - 01_Makefile.conf.diff, 01_tcl_syntax.diff: Refresh patches.
  * debian/watch:
    - Use git mode to get new upstream versions.

 -- Jose G. López <josgalo@jglopez.name>  Sun, 28 Jul 2019 20:57:33 +0200
