=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --sourcedirectory=src
+	dh $@ --with python3 --sourcedirectory=src
 
 override_dh_auto_configure:
 	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
