## scid 4.7.4%2Bdfsg1

=== debian/changelog ===
scid (1:4.7.4+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    - Pass OPTIMIZE variable without '-march=native' value
      to avoid build failures. Removed by mistake.

 -- Jose G. López <josgalo@jglopez.name>  Sat, 30 Jul 2022 18:46:08 +0200

scid (1:4.7.4+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Bump to Standards-Version 4.6.1. No changes required.
  * debain/copyright:
    - Update upstream and debian package copyright years.
  * debian/patches:
    - 02_uninitialized-memory-access.patch. Remove patch applied upstream.
    - 01_Makefile.conf.diff. Refresh patch.
  * debian/rules:
    - Remove 'OPTIMIZE' option as it gets the same value from default.

 -- Jose G. López <josgalo@jglopez.name>  Tue, 12 Jul 2022 20:22:12 +0200
