=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 override_dh_auto_configure:
 	./configure BINDIR="$(CURDIR)/debian/tmp/scid/usr/games" \
 		SHAREDIR="$(CURDIR)/debian/tmp/scid/usr/share/scid" \
-		OPTIMIZE="-O3 -fno-rtti -fno-exceptions" TB=""
+		OPTIMIZE="-std=c++17 -O3 -fno-rtti -fno-exceptions" \
+		TB=""
 
 override_dh_auto_install:
 	$(MAKE) install_scid
