=== debian/watch ===
version=4
opts="uversionmangle=s/(\d+)-*(beta|rc)/$1~$2/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
compression=bzip2,\
mode=git,\
pgpmode=none" \
https://git.code.sf.net/p/scid/code \
refs/tags/v([\d\.]+) debian uupdate
