## scid 4.7.4+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,17 +13,19 @@
 # You should have received a copy of the GNU General Public License
 # along with Scid. If not, see <http://www.gnu.org/licenses/>.
 
-cmake_minimum_required(VERSION 3.2)
+cmake_minimum_required(VERSION 3.15)
 project(scid)
-set(CPACK_PACKAGE_VERSION 4.7.0)
+set(CPACK_PACKAGE_VERSION 4.7.4)
 set(
   CPACK_PACKAGE_DESCRIPTION_SUMMARY
   "chess database application with play and training functionality"
 )
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "tk8.6 (>= 8.6.0)")
+set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
 include(CPack)
 
 set(CMAKE_CXX_EXTENSIONS OFF)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "")
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
@@ -32,24 +34,29 @@
 
 if(MSVC)
   add_definitions(/D_CRT_SECURE_NO_WARNINGS /D_SCL_SECURE_NO_WARNINGS)
+  # To run/debug using Visual Studio set "scid" as startup project and add:
+  # Command Arguments: ../tcl/start.tcl
+  # Environment:       PATH=C:\tcl\bin
 endif()
 
+find_package(Threads)
+find_package(TCL)
 
 # polyglot
 file(GLOB POLYGLOT_SRC src/polyglot/*.cpp)
 add_library(polyglot ${POLYGLOT_SRC})
 
 # scid
-file(GLOB SCID_SRC src/*.cpp)
-add_executable(scid ${SCID_SRC})
-
-option(SCID_MULTITHREADING "Enable/disable multihreading" ON)
-if(SCID_MULTITHREADING)
-  find_package(Threads REQUIRED)
-  target_link_libraries(scid ${CMAKE_THREAD_LIBS_INIT})
+file(GLOB SCID_SRC src/*.h src/*.cpp)
+if(MSVC)
+  add_executable(scid WIN32 ${SCID_SRC} resources/win/scid.rc resources/win/scid.manifest)
+  target_link_options(scid PRIVATE /ENTRY:mainCRTStartup)
 else()
-  target_compile_definitions(scid PRIVATE -DMULTITHREADING_OFF)
+  add_executable(scid ${SCID_SRC})
 endif()
+set_property(TARGET scid PROPERTY INTERPROCEDURAL_OPTIMIZATION True)
+target_include_directories(scid PRIVATE ${TCL_INCLUDE_PATH})
+target_link_libraries(scid PRIVATE polyglot ${CMAKE_THREAD_LIBS_INIT} ${TCL_LIBRARY})
 
 option(SCID_USE_TB "Enable Nalimov tablebases" OFF)
 if(SCID_USE_TB)
@@ -61,11 +68,9 @@
   target_compile_definitions(scid PRIVATE -DSPELLCHKVALIDATE)
 endif()
 
-find_package(TCL)
-target_include_directories(scid PRIVATE ${TCL_INCLUDE_PATH})
-target_link_libraries(scid polyglot ${TCL_LIBRARY})
-
 install(TARGETS scid DESTINATION scid)
+file(GLOB ECO_FILES *.eco)
+install(FILES ${ECO_FILES} DESTINATION scid)
 install(PROGRAMS shell_scid DESTINATION bin RENAME scid)
 install(DIRECTORY bitmaps DESTINATION scid)
 install(DIRECTORY bitmaps2 DESTINATION scid)
@@ -84,17 +89,6 @@
 install(TARGETS phalanx-scid DESTINATION bin)
 
 
-# engine scidlet
-file(GLOB SCIDLET_SRC engines/scidlet/*.cpp)
-set(SCIDLET_EXTRA
-  src/engine.cpp
-  src/recog.cpp
-  src/misc.cpp
-  src/position.cpp
-)
-add_executable(scidlet ${SCIDLET_SRC} ${SCIDLET_EXTRA})
-install(TARGETS scidlet DESTINATION bin)
-
 option(GTEST "Build unit tests" OFF)
 if(GTEST)
   add_subdirectory(gtest)
