=== gtest/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # along with Scid. If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.2)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "")
 
 # googletest
 if(NOT IS_DIRECTORY "${CMAKE_BINARY_DIR}/googletest")
@@ -27,20 +27,15 @@
 # scid_sources
 set(SCID_BASE
   ../src/codec_scid4.cpp
-  ../src/index.cpp
   ../src/scidbase.cpp
   ../src/sortcache.cpp
   ../src/stored.cpp
-  ../src/game.cpp ../src/position.cpp ../src/bytebuf.cpp ../src/textbuf.cpp ../src/misc.cpp
+  ../src/game.cpp ../src/position.cpp ../src/textbuf.cpp ../src/misc.cpp
 )
 add_library(scid_base ${SCID_BASE})
 target_include_directories(scid_base PUBLIC ../src)
-if(SCID_MULTITHREADING)
-  find_package(Threads REQUIRED)
-  target_link_libraries(scid_base PUBLIC ${CMAKE_THREAD_LIBS_INIT})
-else()
-  target_compile_definitions(scid_base PUBLIC -DMULTITHREADING_OFF)
-endif()
+find_package(Threads REQUIRED)
+target_link_libraries(scid_base PUBLIC ${CMAKE_THREAD_LIBS_INIT})
 
 # scid_tests
 file(GLOB GTEST_SRC *.cpp)
