=== debian/changelog ===
scid (1:4.7.4+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unnecessary call to `dh_clean` (it would be called again
    just after)
  * Remove need for root when building the package.
    (Closes: #1089427)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 15:48:27 +0000
