=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Jose G. López <josgalo@jglopez.name>
 Build-Depends: debhelper-compat (= 13), tcl-dev, tk-dev, zlib1g-dev, libx11-dev, dpkg-dev (>= 1.16.0), dh-python, python3
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: http://scid.sf.net
 Vcs-Git: https://salsa.debian.org/josgalo-guest/scid.git
 Vcs-Browser: https://salsa.debian.org/josgalo-guest/scid
