=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 override_dh_auto_install:
 	$(MAKE) install_scid
 	cp -R $(CURDIR)/sounds/ $(CURDIR)/debian/tmp/scid/usr/share/scid/
-	chmod -R -x $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/
+	find $(CURDIR)/debian/tmp/scid/usr/share/scid/sounds/ -type f -exec chmod a-x {} +
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/start.tcl
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/options.tcl
 	chmod +x $(CURDIR)/debian/tmp/scid/usr/share/scid/tcl/contrib/ezsmtp/install.tcl
@@ -30,7 +30,6 @@
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
 	rm -f config.sub config.guess Makefile a.out
-	dh_clean
 
 override_dh_auto_build:
 	dh_auto_build -- all_scid
